# Uses of Class
java.text.DecimalFormat

Packages that use DecimalFormat
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of DecimalFormat in javax.swing

Methods in javax.swing that return DecimalFormat
Modifier and Type
Method
Description
`DecimalFormat`
JSpinner.NumberEditor.`getFormat()`
Returns the `java.text.DecimalFormat` object the `JFormattedTextField` uses to parse and format numbers.